output "firebase_config" {
  value = {
    apiKey        = data.google_firebase_web_app_config.default.api_key
    authDomain    = data.google_firebase_web_app_config.default.auth_domain
    projectId     = var.project_id
    storageBucket = lookup(data.google_firebase_web_app_config.default, "storage_bucket", "${var.project_id}.appspot.com")
    messagingSenderId = data.google_firebase_web_app_config.default.messaging_sender_id
    appId         = google_firebase_web_app.default.app_id
  }
  description = "Firebase Configuration Object for Frontend"
}
